using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Drawing;
using Syncfusion.Windows.Forms.Chart;

namespace ChartDataAtAxis
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
            this.chartControl1.PrimaryYAxis.Range = new MinMaxInfo(0, 4000, 1000);

            ChartSeries series = this.chartControl1.Model.NewSeries("Line");
            series.Type = ChartSeriesType.Line;
            series.Style.Interior = new BrushInfo(GradientStyle.None, Color.Magenta, Color.Magenta);

            series.Points.Add(1, 3800);
            series.Points.Add(2, 8);
            series.Points.Add(3, 8);
            series.Points.Add(4, 3800);

            this.chartControl1.Series.Add(series);

            this.Text = "Syncfusion...";
            this.chartControl1.Text = "Essential Chart";
            this.chartControl1.Dock = DockStyle.Fill;

            this.chartControl1.Series[0].Style.Border.Width = 2;
        }
    }
}